| Home | Libraries | People | FAQ | More

##### basic_raw_socket::basic_raw_socket (5 of 6 overloads)

Move-construct a `basic_raw_socket` from another.

    basic_raw_socket(
        basic_raw_socket && other);

This constructor moves a raw socket from one object to another.

###### Parameters

other

  The other `basic_raw_socket` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_raw_socket(io_service&) constructor`.